Subject: Re: Disabling "TCP Treason uncloaked"

From: Just Marc <[email-masked]>
Date: Wed, 03 May 2006 05:44:48 +0100

Andi Kleen wrote:
> On Tuesday 02 May 2006 18:19, Just Marc wrote:
>
>   
>> I thought that maybe it's time to either set TCP_DEBUG to 0 or 
>> alternatively allow an admin to toggle the printing of this message 
>> off/on?  On a few busy web servers running usually latest versions of 
>> 2.6 I have this message displaying hundreds (if not more) times a day, 
>>     
>
> You're talking to a lot of broken TCP clients then.
>
>   
I don't think that's a surprise, with hundreds of thousands of visitors, 
thousands are probably broken.
>> completely clogging the kernel log and making it harder to see if there 
>> are more interesting messages being printed.   TCP_DEBUG is being used 
>> in one more place that may also not require it anymore and or have it 
>> always enabled.
>>     
>
> It's better to use run time switches for these kind of things.
>
>   
Agreed.
>> So, is it time to disable this print altogether? Is it time to allow an 
>> admin to toggle printing of this thing off?
>>     
>
> If it's disabled there should be probably a netstat counter for the condition instead.
>
>   
Yes, that would be better.
> It might be a reasonable simple beginner project for someone:
>
> - Convert all NETDEBUGs/TCP_DEBUG to a single netdebug sysctl
> - Then perhaps make a CONFIG to change its default: 0 or 1
> - Add statistics counters for all of these conditions
>   
It's indeed pretty simple, unfortunately I don't have the time to do 
it.  For myself, I'll just comment it out for now.   But clearly 
something needs to be done about this one.

Thanks